namespace Server.Git
{
    public abstract class AbstractGit
    {
        public bool isRestart;
        /// <summary>
        /// 가장먼저 시작해야 하는 스크립트
        /// </summary>
        public void Init()
        {
            isRestart = false;
        restart:
            Pull();

            if (isRestart)
            {
                isRestart = !isRestart;
                goto restart;
            }
          
            ChangeScript();

            if (isRestart)
            {
                isRestart = !isRestart;
                goto restart;
            }
            Push();

            if (isRestart)
            {
                isRestart = !isRestart;
                goto restart;
            }
        }

        /// <summary>
        /// 엑셀 불러오기, 저장, 혹은 배포 까지 작업해야하는 함수
        /// </summary>
        public abstract void ChangeScript();

        private void Pull()
        {

        }

        private void Push()
        {

        }
    }
}
